2018-12-12 19:11 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000043Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:13
Reporteruser13 
Assigned Touser13 
PrioritynormalSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformApache 2.2.9 - mod_php 5.2.6OSWindows Vista Ultimate x64 SP1OS Version6001 SP1
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000043: Weiter-Link nach durchgeführten Aktionen
DescriptionNun ist es ja so, dass wenn man Aktionen (wie zb. Länder-Code aktiviert oder deaktiviert) hat, dass man dann auf dieser Seite Feststeht und normal immer 2 weitere Kliks benötigt bis man wieder auf der Ausgangsseite ist. Ich habe da mal eine tpl gemacht die dann einen "weiter"-Link unter der Aktionsausgabe anzeigt und man dann nur mehr mit einem Klick wieder zur aktionsseite zurückkehren kann. Im Patch wird das beim Länder-Code-aktivieren dargestellt. Dies Konstante gehört natürlich in die country_de.php, habe sie aber im Beispiel selbst zur veranschaulichung definiert.

http://www.mxchange.stelzi.net.invalid/patches/next_link-Sample.patch
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000195

Quix0r (administrator)

Das sollte per Schalter waehlbar sein, ob die Seite stehen bleiben soll (altes Behavior) oder nach X Sekunden weiterleitet.

Dazu koennte entweder der Referer ausgewertet werden, oder es wird ein optionales, verdecktes Formularfeld ausgewertet.

Das optionale Feld hat natuerlich den Vorrang zum Referer. Falls dieser auch nicht gesetzt ist, kann immer noch die stillstehende Seite angezeigt werden.

Der grosse Vorteil liegt darin, dass die Formulare schrittweise erweitert werden brauchen und gleich alle auf einmal.

~0000227

Quix0r (administrator)

Ist mit Commit 743 teilweise eingebaut. Ich habe nur deinen Patch etwas umgestaltet und dann eingebunden.

Bitte resolve erstmal nicht dieses Ticket. Ich will noch eine automatische Weiterleitung einbauen (per JavaScript).

~0000345

Quix0r (administrator)

Hier hat sich seit deinem Patch ein Fehler auf einigen Seiten eingeschlichen. Es kommt Array['title'] als Linktitel und Array['url'] in der URL. Bitte schaue dir das mal an.

~0000353

user13

Ist gefixt. Habe da wohl deine Template-Syntax falsch benutzt. -> Siehe Commit 1084 in meinem Branch (/branches/maintainer/0.2.1-stelzi/Rev1081). Einfach mergen und ist gefixt.

~0000377

Quix0r (administrator)

Okay, hab ich (vor längerer Zeit) übernommen und resolve dann dies Ticket.

~0000730

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-30 00:21 user13 New Issue
2009-02-06 01:42 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-09 11:32 user13 Description Updated
2009-02-09 18:16 Quix0r Note Added: 0000195
2009-02-09 18:16 Quix0r Assigned To => Quix0r
2009-02-09 18:16 Quix0r Status new => assigned
2009-02-09 18:16 Quix0r Projection none => major rework
2009-02-09 18:16 Quix0r ETA none => 2-3 days
2009-02-09 18:16 Quix0r Target Version => 0.2.1-FINAL
2009-02-09 18:16 Quix0r Description Updated
2009-02-22 18:42 Quix0r Note Added: 0000227
2009-07-26 15:00 Quix0r Note Added: 0000345
2009-07-26 15:00 Quix0r Assigned To Quix0r => user13
2009-07-26 15:00 Quix0r Status assigned => feedback
2009-07-26 15:01 Quix0r Product Version 0.2.1-FINAL =>
2009-07-26 15:01 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-07-28 15:19 user13 Note Added: 0000353
2009-10-05 14:24 Quix0r Note Added: 0000377
2009-10-05 14:24 Quix0r Status feedback => resolved
2009-10-05 14:24 Quix0r Fixed in Version => 0.2.1-FINAL
2009-10-05 14:24 Quix0r Resolution open => fixed
2009-11-25 21:46 Quix0r Build Rev. 708 => SVN-708
2010-05-28 17:15 Quix0r Product Version => 0.2.1-FINAL
2010-05-28 17:17 Quix0r Description Updated View Revisions
2016-11-23 10:13 Quix0r Note Added: 0000730
2016-11-23 10:13 Quix0r Status resolved => closed
+Issue History